Bug 104046 - Slides in the slide pane don't update in realtime
Summary: Slides in the slide pane don't update in realtime
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:5.3.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-11-20 03:59 UTC by Franklin Weng
Modified: 2019-05-15 09:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Slide 1 in pane doesn't update (190.01 KB, image/png)
2016-11-20 03:59 UTC, Franklin Weng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franklin Weng 2016-11-20 03:59:31 UTC
Created attachment 128881 [details]
Slide 1 in pane doesn't update

When editing slides in the main section, the slides shown in the pane should be updated in realtime.  In my still version (5.1) it worked fine.  In the 5.3.0 daily master build (Nov. 18) doesn't, as the attachment shows.
Comment 1 Cor Nouws 2016-11-20 09:53:01 UTC
Thanks for filing Franklin,

also, when inserting a new slide, the content is not shown in the side pane, until another slide is added or the file closed & reopened
Comment 2 raal 2016-11-27 09:46:19 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin; Could you possibly take a look at this one? Thanks

author	Noel Grandin <noel.grandin@collabora.co.uk>	2016-10-12 06:43:44 (GMT)
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2016-10-12 06:44:50 (GMT)
commit	942716fee138b68c2af9411384f402b5692a88b2 (patch)
tree	61ac99aa7ad3cdedd1c75621f5e4146f819e7bc2
parent	b417930dce9570ad16d04a1f834f5be2738b19ed (diff)
convert EID constants to typed_flags

bd14a1a7f9607ffd99d8a17bd684f637160a1878 is the first bad commit
commit bd14a1a7f9607ffd99d8a17bd684f637160a1878
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed Oct 12 03:19:34 2016 -0700

    source sha:942716fee138b68c2af9411384f402b5692a88b2
 git bisect log
# bad: [9eaeeb4c4a8c422b8572397d643097991a6faa85] source sha:90646b4966c73637ddf592acd05b3091fb3fa41f
# good: [defb73f1c6e2a66dbd21ba89e684f57427e8bc4b] source sha:5b168b3fa568e48e795234dc5fa454bf24c9805e
git bisect start 'origin/master' 'oldest'
# good: [a0bcc19a284531b79a745ff1f8248400efbebd5c] source sha:1b8c61d5ca8e2a7ae7a0bcd189b7a87defecea03
git bisect good a0bcc19a284531b79a745ff1f8248400efbebd5c
# good: [efbc5f6cd0419e46bc734a48953a0cbd98734d21] source sha:4ee81e595a933b901f280c0fc250f0a34232e92a
git bisect good efbc5f6cd0419e46bc734a48953a0cbd98734d21
# bad: [389420900156789bf3d7723472b44d3021add5f0] source sha:0c2272786bc8663554ea7d4a72f03379e0d6608d
git bisect bad 389420900156789bf3d7723472b44d3021add5f0
# bad: [87e08f5dbe1540034e9f4185e75ce60931c692ef] source sha:0a7d06cfc37f94f8a7571f023e1b78b6451a5367
git bisect bad 87e08f5dbe1540034e9f4185e75ce60931c692ef
# bad: [f37ccd7fa16c947dbbe924d3ac2f69afec193237] source sha:e8e2b71ea5a8a7147dbb14990aa73a98f7abcb03
git bisect bad f37ccd7fa16c947dbbe924d3ac2f69afec193237
# bad: [48cfba48fb3c715970dae998a44f783b02c03306] source sha:c31fe18cb50724557a9b8272329addf5f818ef47
git bisect bad 48cfba48fb3c715970dae998a44f783b02c03306
# bad: [72c47ebd84231a9d22ce0e01a058fbdb989724fa] source sha:8576c5145349ce27e59f6a6a04f8fd23a1dae971
git bisect bad 72c47ebd84231a9d22ce0e01a058fbdb989724fa
# good: [2b4e239eb9e2f54b659bc8978b002f78090fbf5a] source sha:ccafebf67147d272a911b6ff0411249f96ae5864
git bisect good 2b4e239eb9e2f54b659bc8978b002f78090fbf5a
# good: [482e9b99f93200f3b83b0846846f24f25931ca6f] source sha:f553ce143af702e93dd62c24cf489ac94dedc6c5
git bisect good 482e9b99f93200f3b83b0846846f24f25931ca6f
# bad: [a2fc2694028818cb98961d7380ac658c4a192432] source sha:4b1b17f40aaeac23bd03e676f8c0739ad5765646
git bisect bad a2fc2694028818cb98961d7380ac658c4a192432
# bad: [ea40864c2e7b0ed3719ef8c5906409b7f0a3b884] source sha:da95ad47af1f345a208a816fd3a641bc47c4b32c
git bisect bad ea40864c2e7b0ed3719ef8c5906409b7f0a3b884
# bad: [bd14a1a7f9607ffd99d8a17bd684f637160a1878] source sha:942716fee138b68c2af9411384f402b5692a88b2
git bisect bad bd14a1a7f9607ffd99d8a17bd684f637160a1878
# good: [cb61781ada3bab471ec60331d473a92f15f9ffed] source sha:b417930dce9570ad16d04a1f834f5be2738b19ed
git bisect good cb61781ada3bab471ec60331d473a92f15f9ffed
# first bad commit: [bd14a1a7f9607ffd99d8a17bd684f637160a1878] source sha:942716fee138b68c2af9411384f402b5692a88b2
Comment 3 Commit Notification 2016-12-12 09:46:11 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=69f6fbb5d0ad87c85e0236a7fece107b69eb8b8b

tdf#104046 - Slides in the slide pane don't update in realtime

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Franklin Weng 2016-12-17 06:11:46 UTC
5.3.0 Beta2 does not fix this, however I think it should be a major feature and hence should be fixed in 5.3.0.
Comment 5 Cor Nouws 2016-12-17 08:11:06 UTC
there was something with a whiteboard tag; not sure if this is the correct one..
Comment 6 Commit Notification 2016-12-21 07:18:26 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8889ac2a1e956873f9d7357e2b3d066122ea64f4&h=libreoffice-5-3

tdf#104046 - Slides in the slide pane don't update in realtime

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2017-03-01 11:09:19 UTC
Hello Noel,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?